White Label Admin - Update learning blocks
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/learningBlocks \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"learningBlocks": [
"<string>"
]
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/learningBlocks"
payload = { "learningBlocks": ["<string>"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({learningBlocks: ['<string>']})
};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/learningBlocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>"
}White Label Admin - Update learning blocks
White label admin only API to update some or all of the learning blocks enabled for this white label.
POST
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
learningBlocks
White Label Admin - Update learning blocks
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Body
application/json
The types of the learning blocks that are enabled for this whitelabel.
Was this page helpful?
White Label Admin - Update the order of deployment options in the deployment view
Previous
White Label Admin - Update theme logo
Next
⌘I